Memos

Create Space

CreateSpace creates a space and makes the authenticated caller its first administrator.

POST
/api/spaces

Query Parameters

spaceId?string

Optional. The ID to use for the space, which becomes the final segment of its resource name. If empty, a UUID v4 is generated. Must match ^a-zA-Z0-9?$.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Space is a collaboration boundary for placed memos.

Response Body

application/json

application/json

curl -X POST "https://example.com/api/spaces" \  -H "Content-Type: application/json" \  -d '{    "title": "string"  }'
{  "name": "string",  "title": "string",  "description": "string",  "icon": {    "emoji": "string",    "lucide": "string"  },  "currentUserRole": "ROLE_UNSPECIFIED",  "memberCount": 0}